<template>
  <div class="new-message">
    <form
      @submit.prevent="addMessage"
    >
      <label>New Message (enter to add):</label>
      <input
        v-model="newMessage"
        type="text"
      >
      <p
        v-if="feedback"
        class="red-text"
      >
        {{ feedback }}
      </p>
    </form>
  </div>
</template>

<script>
import db from '@/firebase/init'

export default {
  name: "NewMessage",
  props: {
    name: String
  },
  data () {
    return {
      newMessage: null,
      feedback: null
    }
  },
  methods: {
    addMessage(){
      if(this.newMessage){
        db.collection('messages').add({
          content: this.newMessage,
          name: this.name,
          timestamp: Date.now()
        }).catch(err => {
          console.log(err)
        })
        this.newMessage = null
        this.feedback = null
      } else {
        this.feedback = "You must enter a message in order to send one"
      }
    }
  }
}

</script>

<style>

</style>